Package org.kapott.hbci.concurrent

# Class HBCIThreadFactory

java.lang.Object
org.kapott.hbci.concurrent.HBCIThreadFactory

All Implemented Interfaces:
  `ThreadFactory`

public class HBCIThreadFactory extends Object implements ThreadFactory
Implementierung einer `ThreadFactory`, die für jeden Thread eine eigene Thread-Gruppe erzeugt. Jede Gruppe ist mit `ThreadGroup.setDaemon(boolean)` konfiguriert, so dass mit Ende des einzelnen Threads auch automatisch die Gruppe geschlossen wird. In README.MultiThreading finden sich weitere Informationen.

Author:
  Hendrik Schnepel
See Also:
  - https://groups.google.com/forum/#!msg/hbci4java/cOQrbPDC0Jo/rbm6jgMaMfcJ

## Constructor Summary

Constructors
Constructor
Description
`HBCIThreadFactory()`

## Method Summary

Modifier and Type
Method
Description
`Thread`
`newThread(Runnable runnable)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### HBCIThreadFactory

public HBCIThreadFactory()

## Method Details

### newThread

public Thread newThread(Runnable runnable)

Specified by:
  `newThread` in interface `ThreadFactory`